List roll calls

Full-Council roll calls on key legislation.

GET https://www.chicagopolitics.org/api/v1/roll-calls

Authorizations

HeaderValue
AuthorizationBearer <key>. Get a key; see authentication.

Query parameters

NameTypeRequiredDescription
dividedboolean
resultstringOne of: passed, failed.
qstring
fromstring (date)
tostring (date)
sortstringOne of: newest, oldest.
limitintegerDefault 50.
cursorstringFrom meta.nextCursor of the previous page.

Response

200 Roll calls: a list in data, with meta and links (see pagination).

FieldTypeDescription
matterIdstring
recordstring
titlestring
nicknamestring | null
typestring
datestring (date)
resultstring
passedboolean
dividedboolean
tallyobject
sponsorstring | null
committeestring | null
meetingIdstring | null
memberVotestring
linksobject

Example request

curl "https://www.chicagopolitics.org/api/v1/roll-calls" \
  -H "Authorization: Bearer $CHICAGO_POLITICS_KEY"

Errors: 400, 401, 429 (see errors).